agency-board
POST /v1/agency/client/boards/{boardId}/cards/{cardId}/comments
Comment on a shared card.
Authenticatie
Stuur een API-sleutel mee als bearer token. Dit eindpunt vermeldt geen specifieke toestemming in de specificatie, dus geef uw sleutel de minimale rechten die nodig zijn en controleer het antwoord in plaats van zomaar wat aan te nemen.
Dit eindpunt vereist geen organisatie-id. Uw sleutel identificeert al de organisatie waartoe deze behoort, en het antwoord is hierop afgestemd.
Probeer het
Vervang alles tussen punthaakjes door uw eigen waarden en de sleutelplaatsvervanger door een sleutel uit uw dashboard.
curl -X POST https://api.zinndigital.com/v1/agency/client/boards/{boardId}/cards/{cardId}/comments \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "body": <string> }'Ingelogd? De API-console in je dashboard vult je echte organisatie-id en je eigen sleutel in, en voert het verzoek uit tegen de live API zodat je de daadwerkelijke respons kunt zien. Open dit eindpunt in de API-console
Details
The card is looked up through the same filter the read uses, so a client cannot comment on a card they cannot see — including by guessing its id. A client's comment is always visible to them and to the agency.
Parameters
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
boardId (path) | Uuid | Ja | Project board ID (UUIDv7). |
cardId (path) | Uuid | Ja | Board card ID (UUIDv7). |
Aanvraaglichaam
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
body | string | Ja | — |
Reactie
| Naam | Type | Verplicht | Wat dit is |
|---|---|---|---|
id | Uuid | Ja | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
card_id | Uuid | Ja | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
body | string | Ja | — |
from_client | boolean | Nee | — |
created_at | string | Ja | — |
author_label | string | Nee | Who wrote it, as the client may see it — the agency's organisation name for anything the agency wrote, the person's name for the client's own colleagues. Same ruling as `SharedA… |
Fouten die dit eindpunt kan retourneren
401 · 403 · 404 · 422